<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory;

use OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\Utils;
use OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory;
/**
 * Creates Guzzle streams.
 *
 * @author Михаил Красильников <m.krasilnikov@yandex.ru>
 *
 * @deprecated This will be removed in php-http/message2.0. Consider using the official Guzzle PSR-17 factory
 */
final class GuzzleStreamFactory implements \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory
{
    /**
     * {@inheritdoc}
     */
    public function createStream($body = null)
    {
        if (\class_exists(\OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\Utils::class)) {
            return \OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\Utils::streamFor($body);
        }
        return \OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\stream_for($body);
    }
}
