<?php

declare (strict_types=1);
namespace OctolizeShippingAustraliaPostVendor\Http\Client\Common;

use OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient;
use OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient;
use OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface;
/**
 * Emulates an async HTTP client with the help of a synchronous client.
 *
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */
final class EmulatedHttpAsyncClient implements \OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient, \OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient
{
    use HttpAsyncClientEmulator;
    use HttpClientDecorator;
    public function __construct(\OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface $httpClient)
    {
        $this->httpClient = $httpClient;
    }
}
