<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory;

use function OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\uri_for;
use OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\Utils;
use OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory;
/**
 * Creates Guzzle URI.
 *
 * @author David de Boer <david@ddeboer.nl>
 *
 * @deprecated This will be removed in php-http/message2.0. Consider using the official Guzzle PSR-17 factory
 */
final class GuzzleUriFactory implements \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory
{
    /**
     * {@inheritdoc}
     */
    public function createUri($uri)
    {
        if (\class_exists(\OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\Utils::class)) {
            return \OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\Utils::uriFor($uri);
        }
        return \OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\uri_for($uri);
    }
}
