<?php

/**
 * @package WPDesk\WooCommerceShipping\AustraliaPost
 */
namespace OctolizeShippingAustraliaPostVendor\WPDesk\WooCommerceShipping\AustraliaPost;

use OctolizeShippingAustraliaPostVendor\WPDesk\WooCommerceShipping\OrderMetaData\AdminOrderMetaDataDisplay;
use OctolizeShippingAustraliaPostVendor\WPDesk\WooCommerceShipping\OrderMetaData\SingleAdminOrderMetaDataInterpreterImplementation;
use OctolizeShippingAustraliaPostVendor\WPDesk\WooCommerceShipping\ShippingBuilder\WooCommerceShippingMetaDataBuilder;
/**
 * Can hide meta data in order.
 */
class AustraliaPostAdminOrderMetaDataDisplay extends \OctolizeShippingAustraliaPostVendor\WPDesk\WooCommerceShipping\OrderMetaData\AdminOrderMetaDataDisplay
{
    /**
     * @param string $method_id .
     */
    public function __construct($method_id)
    {
        parent::__construct($method_id);
        $this->add_hidden_order_item_meta_key(\OctolizeShippingAustraliaPostVendor\WPDesk\WooCommerceShipping\ShippingBuilder\WooCommerceShippingMetaDataBuilder::SERVICE_TYPE);
        $this->add_interpreter(new \OctolizeShippingAustraliaPostVendor\WPDesk\WooCommerceShipping\OrderMetaData\SingleAdminOrderMetaDataInterpreterImplementation(\OctolizeShippingAustraliaPostVendor\WPDesk\WooCommerceShipping\AustraliaPost\AustraliaPostMetaDataBuilder::META_AUSTRALIA_POST_SERVICE_CODE, \__('Australia Post Service Code', 'octolize-australia-post-shipping')));
    }
}
